### File

`packages/ecl/components/ecl-splash-page/ecl-splash-page.component.ts`

### Description

Component representing the main splash page layout.

This component serves as a container for the splash page content. It applies the `ecl-splash-page` CSS class to the host element.

Intended to be used as a wrapper (`div`) for other splash page-related components.

### Extends

`ECLBaseDirective`

### Metadata

selector | `div[eclSplashPage]`
templateUrl | `./ecl-splash-page.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies the `ecl-splash-page` CSS class to the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Applies the `ecl-splash-page` CSS class to the host element. Returns : `string`

# results matching ""

# No results matching ""